<?xml version='1.0' encoding='utf-8' standalone='yes'?>
<!-- Copyright (C) 2012 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<!--
    These are the default set of preferred applications for various standard
    web URIs of Google properties to built-in Google Android applications.

    To generate new entries, set whatever app you want to be the default as
    normal through the UI, and then use "adb shell dumpsys package preferred-xml"
    to get the XML structure for the current preferred apps.  You will probably
    want to clean up the output some, such as adding the BROWSABLE category.  See
    the other entries here for guides.
 -->
<preferred-activities>
    <item name="com.google.android.apps.docs.editors.sheets/com.google.android.apps.docs.editors.trix.quicksheet.QuickSheetDocumentOpenerActivityAlias">
        <filter>
            <action name="android.intent.action.EDIT" />
            <cat name="android.intent.category.DEFAULT" />
            <type name="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" />
            <type name="application/vnd.ms-excel.sheet.macroenabled.12" />
            <type name="application/vnd.ms-excel" />
            <type name="application/vnd.ms-excel.addin.macroenabled.12" />
            <type name="application/vnd.ms-excel.template.macroenabled.12" />
            <type name="application/vnd.openxmlformats-officedocument.spreadsheetml.template" />
            <type name="application/x-msexcel" />
        </filter>
    </item>
    <item name="com.google.android.apps.docs.editors.docs/com.google.android.apps.docs.editors.kix.quickword.QuickWordDocumentOpenerActivityAlias">
      <filter>
            <action name="android.intent.action.EDIT" />
            <cat name="android.intent.category.DEFAULT" />
            <type name="application/vnd.ms-word" />
            <type name="application/vnd.openxmlformats-officedocument.wordprocessingml.document" />
            <type name="application/vnd.ms-word.document.macroenabled.12" />
            <type name="application/msword" />
            <type name="application/vnd.ms-word.template.macroenabled.12" />
            <type name="application/vnd.openxmlformats-officedocument.wordprocessingml.template" />
            <type name="application/x-msword" />
      </filter>
    </item>
    <item name="com.google.android.apps.docs.editors.slides/com.google.android.apps.docs.editors.kix.quickword.QuickWordDocumentOpenerActivityAlias">
      <filter>
            <action name="android.intent.action.EDIT" />
            <cat name="android.intent.category.DEFAULT" />
            <type name="application/vnd.openxmlformats-officedocument.presentationml.presentation" />
            <type name="application/vnd.ms-powerpoint" />
            <type name="application/vnd.openxmlformats-officedocument.presentationml.template" />
            <type name="application/vnd.ms-powerpoint.presentation.macroenabled.12" />
            <type name="application/vnd.openxmlformats-officedocument.presentationml.slideshow" />
            <type name="application/vnd.ms-powerpoint.slideshow.macroenabled.12" />
            <type name="application/x-mspowerpoint" />

      </filter>
    </item>
    <item name="com.google.android.music/.ui.playback.AudioPreviewActivity">
        <filter>
            <action name="android.intent.action.VIEW" />
            <cat name="android.intent.category.DEFAULT" />
            <scheme name="file" />
            <!-- get from /libcore/luni/src/main/java/libcore/net/MimeUtils.java, because "audio/*" invalid -->
            <type name="audio/3gpp" />
            <type name="audio/aac" />
            <type name="audio/aac-adts" />
            <type name="audio/amr" />
            <type name="audio/amr-wb" />
            <type name="audio/basic" />
            <type name="audio/flac" />
            <type name="audio/imelody" />
            <type name="audio/midi" />
            <type name="audio/mobile-xmf" />
            <type name="audio/mpeg" />
            <type name="audio/mpegurl" />
            <type name="audio/ogg" />
            <type name="audio/mp3" />
            <type name="audio/prs.sid" />
            <type name="audio/qcelp" />
            <type name="audio/x-aiff" />
            <type name="audio/x-gsm" />
            <type name="audio/x-matroska" />
            <type name="audio/x-mpegurl" />
            <type name="audio/x-ms-wma" />
            <type name="audio/x-ms-wax" />
            <type name="audio/x-pn-realaudio" />
            <type name="audio/x-realaudio" />
            <type name="audio/x-scpls" />
            <type name="audio/x-sd2" />
            <type name="audio/x-wav" />
            <!-- get from Music2 AndroidManifest.xml -->
            <type name="application/ogg" />
            <type name="application/x-ogg" />
            <type name="application/itunes" />
        </filter>
        <filter>
            <action name="android.intent.action.VIEW" />
            <cat name="android.intent.category.DEFAULT" />
            <scheme name="http" />
            <!-- get from /libcore/luni/src/main/java/libcore/net/MimeUtils.java, because "audio/*" invalid -->
            <type name="audio/3gpp" />
            <type name="audio/aac" />
            <type name="audio/aac-adts" />
            <type name="audio/amr" />
            <type name="audio/amr-wb" />
            <type name="audio/basic" />
            <type name="audio/flac" />
            <type name="audio/imelody" />
            <type name="audio/midi" />
            <type name="audio/mobile-xmf" />
            <type name="audio/mpeg" />
            <type name="audio/mpegurl" />
            <type name="audio/ogg" />
            <type name="audio/mp3" />
            <type name="audio/prs.sid" />
            <type name="audio/qcelp" />
            <type name="audio/x-aiff" />
            <type name="audio/x-gsm" />
            <type name="audio/x-matroska" />
            <type name="audio/x-mpegurl" />
            <type name="audio/x-ms-wma" />
            <type name="audio/x-ms-wax" />
            <type name="audio/x-pn-realaudio" />
            <type name="audio/x-realaudio" />
            <type name="audio/x-scpls" />
            <type name="audio/x-sd2" />
            <type name="audio/x-wav" />
            <!-- get from Music2 AndroidManifest.xml -->
            <type name="application/ogg" />
            <type name="application/x-ogg" />
            <type name="application/itunes" />
        </filter>
        <filter>
            <action name="android.intent.action.VIEW" />
            <cat name="android.intent.category.DEFAULT" />
            <scheme name="https" />
            <!-- get from /libcore/luni/src/main/java/libcore/net/MimeUtils.java, because "audio/*" invalid -->
            <type name="audio/3gpp" />
            <type name="audio/aac" />
            <type name="audio/aac-adts" />
            <type name="audio/amr" />
            <type name="audio/amr-wb" />
            <type name="audio/basic" />
            <type name="audio/flac" />
            <type name="audio/imelody" />
            <type name="audio/midi" />
            <type name="audio/mobile-xmf" />
            <type name="audio/mpeg" />
            <type name="audio/mpegurl" />
            <type name="audio/ogg" />
            <type name="audio/mp3" />
            <type name="audio/prs.sid" />
            <type name="audio/qcelp" />
            <type name="audio/x-aiff" />
            <type name="audio/x-gsm" />
            <type name="audio/x-matroska" />
            <type name="audio/x-mpegurl" />
            <type name="audio/x-ms-wma" />
            <type name="audio/x-ms-wax" />
            <type name="audio/x-pn-realaudio" />
            <type name="audio/x-realaudio" />
            <type name="audio/x-scpls" />
            <type name="audio/x-sd2" />
            <type name="audio/x-wav" />
            <!-- get from Music2 AndroidManifest.xml -->
            <type name="application/ogg" />
            <type name="application/x-ogg" />
            <type name="application/itunes" />
        </filter>
    </item>
    <item name="com.google.android.music/.ui.MusicUrlHandlerActivity">
        <filter>
            <action name="android.intent.action.VIEW" />
            <cat name="android.intent.category.DEFAULT" />
            <scheme name="content" />
            <!-- get from /libcore/luni/src/main/java/libcore/net/MimeUtils.java, because "audio/*" invalid -->
            <type name="audio/3gpp" />
            <type name="audio/aac" />
            <type name="audio/aac-adts" />
            <type name="audio/amr" />
            <type name="audio/amr-wb" />
            <type name="audio/basic" />
            <type name="audio/flac" />
            <type name="audio/imelody" />
            <type name="audio/midi" />
            <type name="audio/mobile-xmf" />
            <type name="audio/mpeg" />
            <type name="audio/mpegurl" />
            <type name="audio/ogg" />
            <type name="audio/mp3" />
            <type name="audio/prs.sid" />
            <type name="audio/qcelp" />
            <type name="audio/x-aiff" />
            <type name="audio/x-gsm" />
            <type name="audio/x-matroska" />
            <type name="audio/x-mpegurl" />
            <type name="audio/x-ms-wma" />
            <type name="audio/x-ms-wax" />
            <type name="audio/x-pn-realaudio" />
            <type name="audio/x-realaudio" />
            <type name="audio/x-scpls" />
            <type name="audio/x-sd2" />
            <type name="audio/x-wav" />
            <!-- get from Music2 AndroidManifest.xml -->
            <type name="application/ogg" />
            <type name="application/x-ogg" />
            <type name="application/itunes" />
        </filter>
    </item>
</preferred-activities>
